package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-11
 */
@Data
@Getter
@Setter
@EqualsAndHashCode(callSuper = false)
@TableName("DM_CBXXP")
@ApiModel(value="DmCbxxp对象", description="")
public class DmCbxxp implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船舶编码")
    @TableId(value = "CBBM", type = IdType.ASSIGN_UUID)
    private String cbbm;

    @ApiModelProperty(value = "船舶名称")
    @TableField("CBMC")
    private String cbmc;

    private String shry;

    @TableField("YLZD4")
    private Double ylzd4;

    private String sCzbh;

    @TableField("YLZD1")
    private String ylzd1;

    private String bz;

    private String kgrq;

    private String ckxszt;

    private String pdrq;

    private String pswcrq;

    private String wgbs;

    private String xgr;

    @TableField("YLZD2")
    private String ylzd2;

    private String bzr;

    private String xgrq;

    private String drbz;

    @TableField("YLZD5")
    private Double ylzd5;

    private String cjs;

    private String zt;

    private String cwfzbs;

    @TableField("YLZD6")
    private Double ylzd6;

    private String xbz;

    @TableField("YLZD3")
    private String ylzd3;

    private String xsrq;

    private String bzrq;

    private String qgwcrq;


    @TableField(exist = false)
    private String cbbm1;


}
