package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmCzplpNew对象", description="")
public class DmCzplpNew implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "分段")
    @TableField("DC_fd")
    private String dcFd;

    @ApiModelProperty(value = "船号")
    @TableField("DC_CH")
    private String dcCh;

    @ApiModelProperty(value = "批量")
    @TableField("DC_PL")
    private String dcPl;

    @ApiModelProperty(value = "重量")
    @TableField("ZL")
    private BigDecimal zl;

    @ApiModelProperty(value = "录入人")
    @TableField("LRR")
    private String lrr;

    @ApiModelProperty(value = "录入日期")
    @TableField("LRRQ")
    private String lrrq;

    @ApiModelProperty(value = "备注")
    @TableField("BZ")
    private String bz;

    @ApiModelProperty(value = "区域")
    private String qy;

    @ApiModelProperty(value = "总段号")
    private String zdh;

    @ApiModelProperty(value = "集团3月滚动期")
    private String gdqJt;

    @ApiModelProperty(value = "钢加结束（大组）1")
    private String dzjsq;

    @ApiModelProperty(value = "中日程（大组结束）")
    private String dzjsqZrc;

    @ApiModelProperty(value = "钢加结束（小组）1")
    private String xzjsq;

    @ApiModelProperty(value = "中日程（小组结束）")
    private String xzjsqZrc;

    @ApiModelProperty(value = "钢加开始1")
    private String gjks;

    @ApiModelProperty(value = "中日程（钢加开始）")
    private String gjksZrc;

    @ApiModelProperty(value = "订货期次")
    private String dhqc;

    @ApiModelProperty(value = "套料图下发1")
    private String xfqTlt;

    @ApiModelProperty(value = "套料图接收")
    private String jsqTlt;

    @ApiModelProperty(value = "板材领取表下发1")
    private String xfqLqb;

    @ApiModelProperty(value = "板材领取表接收")
    private String jsqLqb;

    @ApiModelProperty(value = "零件配套表下发")
    private String xfqPtb;

    @ApiModelProperty(value = "零件配套表接收")
    private String jsqPtb;

    @ApiModelProperty(value = "大组数量")
    private BigDecimal slDz;

    @ApiModelProperty(value = "小组数量")
    private BigDecimal slXz;

    @ApiModelProperty(value = "大组齐套日期")
    private String qtqDz;

    @ApiModelProperty(value = "小组齐套日期")
    private String qtqXz;

    @ApiModelProperty(value = "分段需求期")
    private String fdxqq;

    @ApiModelProperty(value = "实际配送期")
    private String sjpsq;

    @ApiModelProperty(value = "订货清单号")
    private String dhqd;

    @ApiModelProperty(value = "订货清单下发1")
    private String xfqDhqd;

    @ApiModelProperty(value = "实际订货日期")
    private String sjdhrq;

    @ApiModelProperty(value = "板材到齐")
    private String bcdq;

    @ApiModelProperty(value = "实际到货日期")
    private String sjarrival;

    @ApiModelProperty(value = "结算数据标识区域")
    private String jsbs;

    @ApiModelProperty(value = "状态：0:编辑1:提交2:审核")
    private String zt;

    private String xzjsqsm;

    @TableId(value = "ID", type = IdType.ASSIGN_UUID)
    private String id;

    private String lsh;

    private String xfqLqb1sm;

    private String xfqTlt1;

    private String dzjsq1;

    private String xfqTltsm;

    private String dzjsqsm;

    private String gjks1;

    private String xfqDhqd1;

    private String gjkssm;

    private String xzjsq1;

    private String xfqDhqd1sm;

    private String xfqLqb1;


}
