package com.dsic.gj_erp.bean.jhgk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmSygd对象", description="")
public class DmSygd implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "产品")
    private String dcCh1;

    @ApiModelProperty(value = "目标船只")
    private String dcCh2;

    @ApiModelProperty(value = "本船只")
    private String dcCh3;

    @ApiModelProperty(value = "批量")
    private String dcPl;

    @ApiModelProperty(value = "分段")
    private String dcFd;

    @ApiModelProperty(value = "板数")
    private Double bs;

    @ApiModelProperty(value = "到货数量")
    private Double dhsl;

    @ApiModelProperty(value = "在途数量")
    private Double ztsl;

    @ApiModelProperty(value = "生产下发期")
    private String scxfq;

    @ApiModelProperty(value = "型材抛丸")
    private String xcpw;

    @ApiModelProperty(value = "根数")
    private Double gs;

    @ApiModelProperty(value = "抛丸")
    private String pw;

    @ApiModelProperty(value = "坡口切割结束")
    private String pkjs1;

    @ApiModelProperty(value = "二垮数控板数")
    private Double skbs1;

    @ApiModelProperty(value = "数控切割开始")
    private String skks1;

    @ApiModelProperty(value = "坡口长度")
    private Double pkcd1;

    @ApiModelProperty(value = "坡口切割结束")
    private String pkjs2;

    @ApiModelProperty(value = "三垮数控板数")
    private Double skbs2;

    @ApiModelProperty(value = "数控切割开始")
    private String skks2;

    @ApiModelProperty(value = "坡口长度")
    private Double pkcd2;

    @ApiModelProperty(value = "坡口切割结束")
    private String pkjs3;

    @ApiModelProperty(value = "三垮平铁板数")
    private Double ptbs;

    @ApiModelProperty(value = "平铁切割开始")
    private String ptks;

    @ApiModelProperty(value = "平铁切割结束")
    private String ptjs;

    @ApiModelProperty(value = "曲平铁转结束")
    private String qptzjs;

    @ApiModelProperty(value = "曲平铁结束")
    private String qptjs;

    @ApiModelProperty(value = "曲外板结束")
    private String qwbjs;

    @ApiModelProperty(value = "组立")
    private String zl;

    @ApiModelProperty(value = "数控   板数")
    private Double skbs3;

    @ApiModelProperty(value = "数控切割开始")
    private String skks3;

    @ApiModelProperty(value = "坡口长度")
    private Double pkcd3;

    @ApiModelProperty(value = "坡口切割结束")
    private String pkjs4;

    @ApiModelProperty(value = "面板挤边")
    private String mbjb;

    @ApiModelProperty(value = "七垮型材米数")
    private Double xcms;

    @ApiModelProperty(value = "型材面板")
    private String xcmb;

    @ApiModelProperty(value = "分段需求")
    private String fdxqq;

    @ApiModelProperty(value = "光电  结束")
    private String gdjs;

    @ApiModelProperty(value = "备注")
    private String bz;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


}
