package com.dsic.gj_erp.controller.jhgk;


import com.alibaba.fastjson.JSONObject;
import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jcsj.EmSbwxjh;
import com.dsic.gj_erp.bean.jhgk.DmTzjh;
import com.dsic.gj_erp.bean.request.EmSbwxjhBean;
import com.dsic.gj_erp.service.jcsj.EmSbwxjhService;
import com.dsic.gj_erp.service.jhgk.DmTzjhService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@RestController
@RequestMapping("/dmTzjh")
@Api(tags = "图纸计划")
public class DmTzjhController {
    @Autowired
    DmTzjhService dmTzjhService;

    @ApiOperation(value = "查询")
    @PostMapping(value = "/getList")
    public ResultBean getList(@RequestBody JSONObject json) {
        List<DmTzjh> dmTzjhs= dmTzjhService.getList(json);
        return new ResultBean(dmTzjhs);
    }

    @ApiOperation(value = "批量审核")
    @AuthFunction()
    @PostMapping(value = "/sh")
    public ResultBean sh(@RequestBody List<DmTzjh> dmTzjhs) {
        dmTzjhService.sh(dmTzjhs);

        return new ResultBean();
    }
}

